# Здесь собраны различные базы данных и ссылки на документацию к ним

- [PostgreSQL: The world's most advanced open source database](https://www.postgresql.org/)
  - [PostGIS — Spatial and Geographic Objects for PostgreSQL](https://postgis.net/)
  - [ElephantSQL - PostgreSQL as a Service](https://www.elephantsql.com/)
  - programing langs: C,perl

- [Tarantool, an in-memory computing platform](https://www.tarantool.io/en/)
- programing langs: C,lua
- [SurrealDB | The ultimate serverless cloud database](https://surrealdb.com/)
  - programing langs: rust
- [Redis](https://redis.io/)
  - programing langs: C
- [InfluxDB: Purpose-Built Open Source Time Series Database | InfluxData](https://www.influxdata.com/)
- [RethinkDB: the open-source database for the realtime web](https://rethinkdb.com/)
- [Fast Open-Source OLAP DBMS - ClickHouse](https://clickhouse.com/)
  - [GitHub - ClickHouse/ClickHouse: ClickHouse® is a free analytics DBMS for big data](https://github.com/ClickHouse/ClickHouse)
  - programing langs: C++
  - license: Apache-2.0
- [SQLite Home Page](https://sqlite.org/index.html)
- [RocksDB | A persistent key-value store | RocksDB](https://rocksdb.org/)
  - [GitHub - facebook/rocksdb: A library that provides an embeddable, persistent key-value store for fast storage.](https://github.com/facebook/rocksdb/)
  - programing langs: C++,Java
  - license: Apache-2.0
- [GitHub - google/leveldb: LevelDB is a fast key-value storage library written at Google that provides an ordered mapping from string keys to string values.](https://github.com/google/leveldb)
  - programing langs: C++
  - license: BSD-3-Clause
- [TiKV | TiKV is a highly scalable, low latency, and easy to use <br/> key-value database.](https://tikv.org/)
  - [tikv/tikv: Distributed transactional key-value database, originally created to complement TiDB](https://github.com/tikv/tikv)
  - programing langs: rust
  - license: Apache-2.0

- [Bytebase | Open source web-based db schema change for team](https://bytebase.com/)
  - [bytebase/bytebase: Web-based, zero-config, dependency-free database schema change and version control tool for teams. Public demo: https://demo.bytebase.com](https://github.com/bytebase/bytebase)
  - [docs: What is Bytebase](https://docs.bytebase.com/)
  - programing langss: go,vue,typescript
  - license: Apache 2.0

- [Home - Yugabyte](https://www.yugabyte.com/)
  - [yugabyte/yugabyte-db: The high-performance distributed SQL database for global, internet-scale apps.](https://github.com/yugabyte/yugabyte-db)
  - licenses: Apache-2, PFTL-1
  - programing langs: C,C++
- [Litestream - Streaming SQLite Replication](https://litestream.io/)
  - [benbjohnson/litestream: Streaming replication for SQLite.](https://github.com/benbjohnson/litestream)
  - programing langs: go
  - license: Apache-2.0
- [Introduction | Replibyte](https://www.replibyte.com/docs/introduction)
  - [GitHub - Qovery/Replibyte: Seed your development database with real data ⚡️](https://github.com/qovery/replibyte)
  - programing langs: rust
  - license: MIT
- [UnQLite - An Embeddable NoSQL Database Engine](https://unqlite.org/)
  - [GitHub - symisc/unqlite: An Embedded NoSQL, Transactional Database Engine](https://github.com/symisc/unqlite)
  - programing langs: C
  - license: BSD-2-Clause
- [Home – OrbitDB](https://orbitdb.org/)
  > a serveless p2p database system uses ipfs
  - [GitHub - orbitdb/orbit-db: Peer-to-Peer Databases for the Decentralized Web](https://github.com/orbitdb/orbit-db)
  - programing langs: javascript
  - license: MIT
- [Neon — Serverless, Fault-Tolerant, Branchable Postgres](https://neon.tech/)

  > The multi-cloud fully managed Postgres with a generous free tier. We
  > separated storage and compute to offer autoscaling, branching, and
  > bottomless storage.

  - [gitHub: neondatabase/neon: The serverless open source alternative to AWS Aurora Postgres.](https://github.com/neondatabase/neon)
  - programing langs: rust,python
  - license: Apache-2.0

## storage

- [Storj - Decentralized Cloud Storage](https://www.storj.io/)
  - [storj/storj: Ongoing Storj v3 development. Decentralized cloud object storage that is affordable, easy to use, private, and secure.](https://github.com/storj/storj)
  - [DCS | Storj Docs](https://docs.storj.io/dcs/)
  - [whitepaper: storj](https://www.storj.io/storjv3.pdf)
  - programing langs: go,vue,typescript
  - license: AGPL-3
- [Ipfs](./ipfs.md)

- [vitalif/vitastor: Simplified distributed block storage with strong consistency, like in Ceph - vitastor - Gitea](https://yourcmc.ru/git/vitalif/vitastor)
  - [Vitastor, или Как я написал свою хранилку / Виталий Филиппов (Личный проект) - Invidious](https://invidious.snopyta.org/watch?v=cEeN4ViSajc)
  - programing langs: C++
  - license: GPL-2.0
- [Ceph Homepage - Ceph](https://ceph.io/)
  - programing langs: C++
